/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class DetalleAbonosPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Column(name = "abono_anulado")
    private Character abonoAnulado;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "abono_codigo")
    private String abonoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "abono_tipo")
    private String abonoTipo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "factura_codigo")
    private String facturaCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "factura_serie")
    private String facturaSerie;

    public DetalleAbonosPK() {
    }

    public DetalleAbonosPK(Character abonoAnulado, String abonoCodigo, String abonoTipo, String facturaCodigo, String facturaSerie) {
        this.abonoAnulado = abonoAnulado;
        this.abonoCodigo = abonoCodigo;
        this.abonoTipo = abonoTipo;
        this.facturaCodigo = facturaCodigo;
        this.facturaSerie = facturaSerie;
    }

    public Character getAbonoAnulado() {
        return abonoAnulado;
    }

    public void setAbonoAnulado(Character abonoAnulado) {
        this.abonoAnulado = abonoAnulado;
    }

    public String getAbonoCodigo() {
        return abonoCodigo;
    }

    public void setAbonoCodigo(String abonoCodigo) {
        this.abonoCodigo = abonoCodigo;
    }

    public String getAbonoTipo() {
        return abonoTipo;
    }

    public void setAbonoTipo(String abonoTipo) {
        this.abonoTipo = abonoTipo;
    }

    public String getFacturaCodigo() {
        return facturaCodigo;
    }

    public void setFacturaCodigo(String facturaCodigo) {
        this.facturaCodigo = facturaCodigo;
    }

    public String getFacturaSerie() {
        return facturaSerie;
    }

    public void setFacturaSerie(String facturaSerie) {
        this.facturaSerie = facturaSerie;
    }

//    @Override
//    public int hashCode() {
//        int hash = 0;
//        hash += (abonoAnulado != null ? abonoAnulado.hashCode() : 0);
//        hash += (abonoCodigo != null ? abonoCodigo.hashCode() : 0);
//        hash += (abonoTipo != null ? abonoTipo.hashCode() : 0);
//        hash += (facturaCodigo != null ? facturaCodigo.hashCode() : 0);
//        hash += (facturaSerie != null ? facturaSerie.hashCode() : 0);
//        return hash;
//    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DetalleAbonosPK)) {
            return false;
        }
        DetalleAbonosPK other = (DetalleAbonosPK) object;
        if ((this.abonoAnulado == null && other.abonoAnulado != null) || (this.abonoAnulado != null && !this.abonoAnulado.equals(other.abonoAnulado))) {
            return false;
        }
        if ((this.abonoCodigo == null && other.abonoCodigo != null) || (this.abonoCodigo != null && !this.abonoCodigo.equals(other.abonoCodigo))) {
            return false;
        }
        if ((this.abonoTipo == null && other.abonoTipo != null) || (this.abonoTipo != null && !this.abonoTipo.equals(other.abonoTipo))) {
            return false;
        }
        if ((this.facturaCodigo == null && other.facturaCodigo != null) || (this.facturaCodigo != null && !this.facturaCodigo.equals(other.facturaCodigo))) {
            return false;
        }
        if ((this.facturaSerie == null && other.facturaSerie != null) || (this.facturaSerie != null && !this.facturaSerie.equals(other.facturaSerie))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.DetalleAbonosPK[ abonoAnulado=" + abonoAnulado + ", abonoCodigo=" + abonoCodigo + ", abonoTipo=" + abonoTipo + ", facturaCodigo=" + facturaCodigo + ", facturaSerie=" + facturaSerie + " ]";
    }

}
